This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 176769 - Network test fails with "connection reset by peer"
Network test fails with "connection reset by peer"
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: net (Show other bugs)
2
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Will Woods
Richard Li
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-02 01:59 EST by Gajalakshmi
Modified: 2007-04-18 13:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-15 09:42:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
result rpm (714.10 KB, application/octet-stream)
2006-01-02 01:59 EST, Gajalakshmi
no flags Details
Network Network2 test run (861.13 KB, application/octet-stream)
2006-01-11 00:21 EST, Gajalakshmi
no flags Details
extracted NETWORK2 output log (2.73 KB, text/plain)
2006-01-11 13:42 EST, Richard Li
no flags Details

  None (edit)
Description Gajalakshmi 2006-01-02 01:59:36 EST
Description of problem: 
In one of server machines, when we run the network test. It fails and the 
output.log shows  "Read from Remote host xxxxxxx. Connection reset by peer" . 
The OS installed is Redhat Enterprise Linux 4.0 AS Update pack 2 
 
The issue is when it runs the ab command:
ab -c 30 -k -n 2000 -v 4 $ipaddr/httptest.file
 
The connection resets after about 40 minutes. I have attached few results FYI. 
Let us know how to solve this.
 
We are using the test kit version : rhr2-1.1-3.noarch.rpm
Is there any ERRATA available for this failure?
Is there any latest test kit available that solves this issue?
Or any workaround required for this?
 
If the latest test kit is in RHN site, which one should I chose: (test kits 
available in site listed below)
1. rhr2-2.0-1.EL4.x86_64  Red Hat Ready (hardware certification test suite) 
2. rhr2-rhel4-1.0-14a.noarch  Red Hat Ready test suite 
3. rhr2-server-2.0-1.EL4.x86_64  Server package for Red Hat Ready (hardware 
certification test suite) 
  
Which is right one and the latest one for my testing?  
                            
-Gajalakshmi
Comment 1 Gajalakshmi 2006-01-02 01:59:37 EST
Created attachment 122682 [details]
result rpm
Comment 2 Rob Landry 2006-01-09 17:57:22 EST
The typical solutions are to ensure you're on a 1Gb/s network; your connections
are both for the server and client @1Gb/s as well both should have the same OS
also ensuring you're on the same segment and/or located closely together avoids
most congestion issues.

There is an errata which replaces the network test with NETWORK2; to use this
you will need to download and install rhr2-2.0-1.EL4.x86_64 on the machine under
test and rhr2-server-2.0-1.EL4.x86_64 on the far machine.
Comment 3 Gajalakshmi 2006-01-11 00:21:37 EST
Created attachment 123034 [details]
Network Network2 test run
Comment 4 Gajalakshmi 2006-01-11 00:31:48 EST
As said I installed the rhr2-2.0-1.EL4.x86_64 on the test machine and rhr2-
server-2.0-1.EL4.x86_64 on the far machine and run the NETWORK and NETWORK2 
tests each one separately. I have also attached the result rpm generated with 
that. But both the test are failing. Let me know which one I have to run 
NETWORK or NETWORK2. Do I have to run anything in the far machine? \

My suggestion is you can give a detailed procedure on how to run the tests in 
RHN along with the test tool packages.
Comment 5 Richard Li 2006-01-11 13:41:30 EST
You can run either the NETWORK or NETWORK2 tests. How to run the tests are
documented on the hardware.redhat.com web site. Have you read that documentation?
Comment 6 Richard Li 2006-01-11 13:42:47 EST
Created attachment 123063 [details]
extracted NETWORK2 output log 

I've uploaded the relevant output.log for easier viewing; extracted from the
RPM.
Comment 7 Richard Li 2006-01-11 14:37:54 EST
Try restarting your hwtest-server and running the NETWORK2 test only.
Comment 8 natarajan 2006-03-16 05:52:17 EST
For me also same problem persist, so kindly give solution for me also.
i expecting ur earlier response.....

Comment 9 Rob Landry 2006-05-15 09:42:33 EDT
Closing, insuffecient data; please reopen if needed or opern a new issue.

Note You need to log in before you can comment on or make changes to this bug.